OverviewPlatformsAPI ReferenceResources
Commerce

List metaobjects of a type

GEThttps://zernio.com/api/v1/commerce/metaobjects

The metaobjects of one type (a definition handle from GET /v1/commerce/metaobject-definitions), cursor-paginated with limit and cursor. Shopify only. Needs metaobjects.read.

PlatformsShopify

Authentication

AuthorizationBearer tokenRequired

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

Query parameters

accountIdstringRequired

Connected store SocialAccount id.

typestringRequired

Definition type from GET /v1/commerce/metaobject-definitions.

limitintegerDefault 20
cursorstring

Responses

Success· the request worked

Errors· the request failed

GET/v1/commerce/metaobjects
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.commerce.listCommerceMetaobjects({  query: {    accountId: 'account_abc123',    type: 'string',  },});console.log(data);
{  "metaobjects": [    {      "id": "string",      "type": "string",      "handle": "string",      "displayName": "string",      "fields": [        {          "key": "string",          "type": "string",          "value": "string"        }      ]    }  ],  "nextCursor": "string"}
OpenAPI specification
Was this page helpful?